Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.vfs.provider
Class URLFileName

    java.lang.Object
      org.apache.commons.vfs.provider.AbstractFileName
          org.apache.commons.vfs.provider.GenericFileName
              org.apache.commons.vfs.provider.URLFileName

All Implemented Interfaces:
  Comparable, FileName

Direct Known Subclasses:
  UrlFileName

public class URLFileName
extends GenericFileName

Field Summary

Fields inherited from interface org.apache.commons.vfs.FileName
`ROOT_PATH, SEPARATOR, SEPARATOR_CHAR`

Constructor Summary
`URLFileName(String scheme, String hostName, int port, int defaultPort, String userName, String password, String path, FileType type, String queryString)`

Method Summary
`FileName` | `createName(String absPath, FileType type)` Factory method for creating name instances.
`protected String` | `createURI()` append query string to the uri
`String` | `getPathQuery()` get the path and query string e.g.
`String` | `getPathQueryEncoded(String charset)` get the path encoded suitable for url like filesystem e.g.
`String` | `getQueryString()` get the query string
`String` | `getURIEncoded(String charset)`

Methods inherited from class org.apache.commons.vfs.provider.GenericFileName
`appendCredentials, appendRootUri, getDefaultPort, getHostName, getPassword, getPort, getUserName`

Methods inherited from class org.apache.commons.vfs.provider.AbstractFileName
`checkName, compareTo, equals, getBaseName, getDepth, getExtension, getFriendlyURI, getParent, getPath, getPathDecoded, getRelativeName, getRoot, getRootURI, getScheme, getType, getURI, getUriTrailer, hashCode, isAncestor, isDescendent, isDescendent, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### URLFileName

    public URLFileName(String scheme,
                       String hostName,
                       int port,
                       int defaultPort,
                       String userName,
                       String password,
                       String path,
                       FileType type,
                       String queryString)

Method Detail

### getQueryString

    public String getQueryString()

  get the query string

  Returns:
    the query string part of the filename

### getPathQuery

    public String getPathQuery()

  get the path and query string e.g. /path/servlet?param1=true

  Returns:
    the path and its query string

### getPathQueryEncoded

    public String getPathQueryEncoded(String charset)
                               throws org.apache.commons.httpclient.URIException,
                                      FileSystemException

  get the path encoded suitable for url like filesystem e.g. (http, webdav)

  Parameters:
    `charset` - the charset used for the path encoding
  Throws:
    `org.apache.commons.httpclient.URIException`
    `FileSystemException`

### createName

    public FileName createName(String absPath,
                               FileType type)

  Description copied from class: `AbstractFileName`
  Factory method for creating name instances.

  Overrides:
    `createName` in class `GenericFileName`

### createURI

    protected String createURI()

  append query string to the uri

  Overrides:
    `createURI` in class `AbstractFileName`
  Returns:
    the uri

### getURIEncoded

    public String getURIEncoded(String charset)
                         throws FileSystemException,
                                org.apache.commons.httpclient.URIException

  Throws:
    `FileSystemException`
    `org.apache.commons.httpclient.URIException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2006 The Apache Software Foundation. All Rights Reserved.